function Gn = phimodes(alpha,x0,y0,z0,a,b,Nx1,Nx2,My)    

r0 = x0*cos(alpha)-z0*sin(alpha);
th0 = atan2(y0,r0);
r0 = sqrt(r0*r0+y0*y0);

mb = 0:My-1;
ky = mb*pi/b;
xe = r0*cos(th0)/cos(alpha);
ye = r0*sin(th0);
cosy = cos(ky*ye);

projarray = [];
for na=Nx1:Nx2
    kx = na*pi/a;
    cosx = cos(kx*xe);
    projarray = [projarray cosy*cosx];
end
for na=Nx1:Nx2
    kx = na*pi/a;
    sinx = sin(kx*xe);
    projarray = [projarray cosy*sinx];
end

% Gn = transpose(projarray);
Gn = projarray;
end
